#include <iostream>
#include <stdlib.h>
#include <fstream>
#include <string>

using namespace std;

string readLine ( const char* filepath ) {
	ifstream file;
	file.open ( filepath );
	string text;
	if ( file.is_open() ) {
		while ( !file.eof() ) {
			getline ( file, text );
			break;
		}
	}
	file.close();
	return text;
}

int main ( int argc, char* argv[] ) {
	string opt = argv[1];
	if ( !opt.compare ( "-p" ) ) {
		string text = readLine ( argv[3] );
		size_t found = text.find ( argv[2] );
		if ( found != string::npos ) {
			cout << found << endl;
			return 0;
		}
	} else if ( !opt.compare ( "-e" ) ) {
		string text = readLine ( argv[4] );
		cout << text.substr ( atoi ( argv[2] ), atoi ( argv[3] ) ) << endl;
		return 0;
	}
	return -1;
}

